application version not set

Bug #1715429 reported by James Page on 2017-09-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack AODH Charm
High
James Page
OpenStack Designate Charm
High
Alex Kavanagh
OpenStack Designate-Bind Charm
High
James Page
charms.openstack
High
Alex Kavanagh

Bug Description

James Page (james-page) on 2017-09-06
Changed in charm-designate:
status: New → Triaged
Changed in charm-aodh:
status: New → Triaged
importance: Undecided → High
Changed in charm-designate:
importance: Undecided → High
Changed in charm-aodh:
milestone: none → 17.08
Changed in charm-designate:
milestone: none → 17.08
Changed in charm-aodh:
assignee: nobody → James Page (james-page)
Changed in charm-designate:
assignee: nobody → Alex Kavanagh (ajkavanagh)

Fix proposed to branch: master
Review: https://review.openstack.org/501401

Changed in charm-aodh:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/501396
Committed: https://git.openstack.org/cgit/openstack/charms.openstack/commit/?id=62f0b4769b72b6acd93184a0cadad5e7ea3126a8
Submitter: Jenkins
Branch: master

commit 62f0b4769b72b6acd93184a0cadad5e7ea3126a8
Author: Alex Kavanagh <email address hidden>
Date: Wed Sep 6 20:38:34 2017 +0100

    Move application version set to charms.openstack

    It comes from layer-openstack in the default assess_status handler.

    The version of the application deployed should be set on all
    assess_status calls, not just during the 'update-status' hook
    execution.

    Change-Id: I1ca762875f307db9bb15dd80b0c6a01a9e17b71e
    Partial-Bug: 1715429

James Page (james-page) on 2017-09-06
Changed in charm-designate-bind:
status: New → Triaged
importance: Undecided → High
assignee: nobody → James Page (james-page)
Changed in charms.openstack:
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Alex Kavanagh (ajkavanagh)
Changed in charm-designate-bind:
milestone: none → 17.08

Fix proposed to branch: master
Review: https://review.openstack.org/501423

Changed in charm-designate-bind:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/501418
Committed: https://git.openstack.org/cgit/openstack/charm-designate/commit/?id=e3be7c0e8924c1c84f0c76d3d08d8059b891048c
Submitter: Jenkins
Branch: master

commit e3be7c0e8924c1c84f0c76d3d08d8059b891048c
Author: James Page <email address hidden>
Date: Wed Sep 6 21:33:28 2017 +0100

    Rebuild for application version fixes

    Rebuild with updated layers and charms.openstack to fix issue
    with application version not being set.

    Change-Id: Ida07c05eb28839e7d3b60b9299b5ddb3f00b2bb8
    Closes-Bug: 1715429
    Depends-On: Iac95a0b988ae6563039aae599985de5713432c00
    Depends-On: I1ca762875f307db9bb15dd80b0c6a01a9e17b71e

Changed in charm-designate:
status: Triaged → Fix Committed
Ryan Beisner (1chb1n) on 2017-09-07
tags: added: uosci

Reviewed: https://review.openstack.org/501401
Committed: https://git.openstack.org/cgit/openstack/charm-aodh/commit/?id=a6239d88777436afd1a34d7e8ad285d51add72bb
Submitter: Jenkins
Branch: master

commit a6239d88777436afd1a34d7e8ad285d51add72bb
Author: James Page <email address hidden>
Date: Wed Sep 6 17:48:07 2017 +0100

    Rebuild for application version fix

    Rebuilt with latest layers and charms.openstack to resolve
    issues with setting of application version for deployed
    codebase.

    Change-Id: Ied80bde4b4ce2ec48702c12dd5000907bf7ce38f
    Closes-Bug: 1715429
    Depends-On: Iac95a0b988ae6563039aae599985de5713432c00
    Depends-On: I1ca762875f307db9bb15dd80b0c6a01a9e17b71e

Changed in charm-aodh:
status: In Progress → Fix Committed
James Page (james-page) on 2017-09-07
Changed in charm-designate-bind:
status: In Progress → Fix Committed
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/501423
Committed: https://git.openstack.org/cgit/openstack/charm-designate-bind/commit/?id=1b1fc3ea1d78ebf6a7591aa22ade47da90e0274b
Submitter: Jenkins
Branch: master

commit 1b1fc3ea1d78ebf6a7591aa22ade47da90e0274b
Author: James Page <email address hidden>
Date: Wed Sep 6 21:41:53 2017 +0100

    Rebuild for application version fix

    Rebuilt with latest layers and charms.openstack to resolve
    issues with setting of application version for deployed
    codebase.

    Change-Id: Icdba3f65c27d432cc961ef077d9966d2985101a6
    Closes-Bug: 1715429
    Depends-On: Iac95a0b988ae6563039aae599985de5713432c00
    Depends-On: I1ca762875f307db9bb15dd80b0c6a01a9e17b71e

Changed in charm-designate-bind:
status: In Progress → Fix Committed
James Page (james-page) on 2017-09-12
Changed in charm-aodh:
status: Fix Committed → Fix Released
Changed in charm-designate:
status: Fix Committed → Fix Released
Changed in charm-designate-bind:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers